#
# feat-done-day-7dig.R, 22 Aug 12
#
# Various analysis of http://www.7digital.com feature data
#
# R code for book "Empirical Software Engineering using R"
# Derek M. Jones, http://shape-of-code.coding-guidelines.com


p=read.csv("/usr1/rbook/examples/projects/7digital2012.csv")

# Bracket the data start/end dates
base.date="20/04/2009"  # a Monday
base.day=as.integer(as.Date(base.date, "%d/%m/%Y"))
end.day=as.integer(as.Date("01/08/2012", "%d/%m/%Y"))-base.day


Done.day=as.integer(as.Date(p$Done, format="%d/%m/%Y"))-base.day

table(Done.day[(Done.day <= 650)] %% 7)
table(Done.day[(Done.day > 650)] %% 7)

